package wxcomponent

import (
	"gitee.com/yansen_zh/wxcomponent/api/authorization"
	"gitee.com/yansen_zh/wxcomponent/config"
	"gitee.com/yansen_zh/wxcomponent/utils"
)

// 授权与Token

// RefreshToken 刷新Token
// 主要是定时任务调用
func RefreshToken() error {
	result, err := authorization.GetComponentToken()
	if err != nil {
		return err
	}

	token := result.ComponentAccessToken
	expire := utils.GetExpireTime(result.ExpiresIn)

	if e := config.RefreshToken(token, expire); e != nil {
		return e
	}

	return nil
}
