package config

import "time"

type Config interface {
	// GetAppID 获取平台 APPID
	GetAppID() string

	// GetAppSecret 获取平台 APPSECRET
	GetAppSecret() string

	// GetAppSecret 获取平台消息校验Token
	GetMsgToken() string

	// GetToken 获取 Token
	GetAccessToken() string

	// RefreshToken 刷新 Token
	RefreshToken(token string, expire time.Time) error

	// GetTicket 获取票据
	GetVerifyTicket() string

	// RefreshTicket 刷新票据
	RefreshVerifyTicket(ticket string, expire time.Time) error
}

var conf Config
